<?php

namespace Modules\Payment\Repositories\Interfaces;

interface PaymentMethodRepositoryInterface
{
    public function all(): \Illuminate\Database\Eloquent\Collection;
    public function find(int $id): ?\Modules\Payment\Models\PaymentMethod;
    public function findBySlug(string $slug): ?\Modules\Payment\Models\PaymentMethod;
    public function getActive(): \Illuminate\Database\Eloquent\Collection;
}
